<?xml version="1.0" encoding="UTF-8"?>
<featuremodels>
   <featuremodel name="nivreeager">
      <submodel name="T.TRANS+A.DEPREL">
         <feature>InputColumn(POSTAG,Stack[0])</feature>
         <feature>InputColumn(POSTAG,Input[0])</feature>
         <feature>InputColumn(POSTAG,Input[1])</feature>
         <feature>InputColumn(POSTAG,Input[2])</feature>
         <feature>InputColumn(POSTAG,Input[3])</feature>
         <feature>InputColumn(POSTAG,Stack[1])</feature>
         <feature>InputColumn(POSTAG,succ(Stack[0]))</feature>
         <feature>InputColumn(POSTAG,head(Stack[1]))</feature>
         <feature>OutputColumn(DEPREL,ldep(Input[0]))</feature>
         <feature>OutputColumn(DEPREL,Stack[0])</feature>
         <feature>OutputColumn(DEPREL,ldep(Stack[0]))</feature>
         <feature>OutputColumn(DEPREL,rdep(Stack[0]))</feature>
         <feature>InputColumn(FEATS,Input[0])</feature>
         <feature>InputColumn(FEATS,Stack[0])</feature>
         <feature>InputColumn(FORM,Input[0])</feature>
         <feature>InputColumn(FORM,Stack[0])</feature>
         <feature>InputColumn(FORM,Input[1])</feature>
         <feature>InputColumn(FORM,pred(Input[0]))</feature>
         <feature>InputColumn(FORM,pred(Stack[0]))</feature>
         <feature>InputColumn(FORM,head(Stack[0]))</feature>
         <feature>InputColumn(FORM,succ(Stack[0]))</feature>
         <feature>Merge(InputColumn(POSTAG,Input[0]), OutputColumn(DEPREL, ldep(Input[0])))</feature>
         <feature>Merge(InputColumn(POSTAG,Input[0]),InputColumn(POSTAG,ldep(Input[0])))</feature>
         <feature>Merge3(InputColumn(POSTAG,Input[1]), InputColumn(POSTAG, Input[2]), InputColumn(POSTAG, Input[3]))</feature>
         <feature>Merge3(InputColumn(POSTAG,Input[0]), InputColumn(POSTAG, Input[1]), InputColumn(POSTAG, Input[2]))</feature>
         <feature>Merge3(InputColumn(POSTAG,Stack[0]), InputColumn(POSTAG, Input[0]), InputColumn(POSTAG, Input[1]))</feature>
         <feature>Merge3(InputColumn(POSTAG,Stack[1]), InputColumn(POSTAG, Stack[0]), InputColumn(POSTAG, Input[0]))</feature>
         <feature>Merge(InputColumn(POSTAG,Input[0]),InputColumn(FEATS,Input[0]))</feature>
         <feature>Merge(InputColumn(POSTAG,Input[0]), InputColumn(POSTAG, Stack[0]))</feature>
         <feature>Merge(InputColumn(POSTAG,Input[0]),InputColumn(FORM,Input[1]))</feature>
         <feature>Merge(InputColumn(POSTAG,Input[2]),InputColumn(FEATS,Input[2]))</feature>

<feature>InputColumn(POSTAG,pred(Input[0]))</feature>
 <feature>OutputColumn(DEPREL,lsib(rdep(Stack[0])))</feature>
<feature>InputColumn(POSTAG,head(Stack[2]))</feature>
<feature>InputColumn(POSTAG,pred(Input[2]))</feature>
<feature>OutputColumn(DEPREL,ldep(Stack[1]))</feature>

<feature>InputColumn(CPOSTAG,Stack[0])</feature>
      </submodel>
   </featuremodel>
</featuremodels>
